package fitconnect.impl.crypto;

import de.fitko.fitconnect.impl.crypto.MetadataVerifier;
import org.junit.jupiter.api.Test;

import java.io.IOException;

import static org.junit.jupiter.api.Assertions.*;

class MetadataVerifierTest {

    MetadataVerifier underTest = new MetadataVerifier();

    @Test
    public void testMessageDigestForDataAndAttachments() throws IOException {

            // Given (sender creates hash of (Fachdaten) or attachments (Anhänge))
            byte[] exampleFileContent = getExampleFileContent("/example.pdf");
            byte[] hashFromSender = underTest.createHash(exampleFileContent);

            // When (subscriber verifies hash of data or attachments)
            boolean verificationResult = underTest.verify(hashFromSender, exampleFileContent);
            assertTrue(verificationResult);
    }

    private byte[] getExampleFileContent(final String path) throws IOException {
        return MetadataVerifier.class.getResourceAsStream(path).readAllBytes();
    }

}